Readers
Get reader configuration
GET
/
api
/
v1
/
entities
/
{entity_id}
/
readerConfiguration
Get reader configuration
curl --request GET \
--url https://api.passentry.com/api/v1/entities/{entity_id}/readerConfiguration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passentry.com/api/v1/entities/{entity_id}/readerConfiguration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passentry.com/api/v1/entities/{entity_id}/readerConfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "defd0867",
"type": "readerConfiguration",
"attributes": {
"nfcPrivateKey": "-----BEGIN EC PRIVATE KEY-----\n PRIVATE KEY\n -----END EC PRIVATE KEY-----",
"googleCollectorId": "95415519",
"applePassTypeId": "pass.com.test.test",
"googleKeyVersion": 1,
"readerConfigurationApiKey": "uwMGo/K/8SNxEznuFDZhe/lZLdk0ruGgikh1fGOGXh8KV1cdGU7vDzl8Dit0MEBhuF7sRhec2aCU9b1t3WiZDg==",
"validationConfiguration": {
"validationType": "internal"
}
}
}
}{
"errors": [
"Access denied"
]
}{
"errors": [
"Entity not found"
]
}Was this page helpful?
⌘I
Get reader configuration
